## elem-src-1.0.3-Linux.tgz

=== Makefile ===
COMPILER=gcc
LIBS = -lm -L./  -lforms -L/usr/X11R6/lib -lX11 -lnsl 
INCLUDE=-I/usr/X11R6/include/X11 -I/usr/include -I/usr/X11R6/include -I/usr/local/X11/include/ -I/usr/X/include/
FLAGS = -g -O2
DESTDIR =


default:
	@clear
	@echo ""
	@echo "  choose your language, type"
	@echo "    make english"
	@echo "  or"
	@echo "    make deutsch"
	@echo "  or"
	@echo "    make all"
	@echo "  for both."
	@echo ""
	@echo "Installation:"
	@echo "  make install installs both versions"
	@echo "  to /usr/local/bin and a script called"
	@echo "  elem which automagically decides which"
	@echo "  language to use."
	@echo ""
	@echo "  make install-de and install-en do what you expect them to do."
	@echo ""
	@echo "  make deb creates a debian package in the"
	@echo "  parent directory of elem if all necessary"
	@echo "  tools are installed"

all: elem-de elem-en
	@echo "creating german and english Versions of elem"

deutsch : elem-de
	@echo "erzeuge deutsche Version von elem"

elem-de: elem_main_de.o elem_cb_de.o elem_de.o deutsch.h
	${COMPILER} ${FLAGS} -o elem-de elem_main_de.o elem_cb_de.o elem_de.o ${LIBS} -DDEUTSCH



english : elem-en
	@echo "creating english version of elem"

elem-en: elem_main_en.o elem_cb_en.o elem_en.o english.h
	${COMPILER} ${FLAGS} -o elem-en elem_main_en.o elem_cb_en.o elem_en.o ${LIBS} -DENGLISH

static-de : elem_main_de.o elem_cb_de.o elem_de.o
	${COMPILER} ${FLAGS} -static -o elem-static-de elem_main_de.o elem_cb_de.o elem_de.o  ${LIBS} -DDEUTSCH

static-en : elem_main_en.o elem_cb_en.o elem_en.o
	${COMPILER} ${FLAGS} -static -o elem-static-en elem_main_en.o elem_cb_en.o elem_en.o  ${LIBS} -DENGLISH




elem_main_de.o : elem_main.c elem.h deutsch.h
	${COMPILER} ${FLAGS} -DDEUTSCH -o elem_main_de.o -c elem_main.c ${INCLUDE}

elem_main_en.o : elem_main.c elem.h english.h
	${COMPILER} ${FLAGS} -DENGLISH -o elem_main_en.o -c elem_main.c ${INCLUDE}


elem_cb_de.o : elem_cb.c elem.h deutsch.h
	${COMPILER} ${FLAGS} -DDEUTSCH -o elem_cb_de.o -c elem_cb.c ${INCLUDE}
elem_cb_en.o : elem_cb.c elem.h english.h
	${COMPILER} ${FLAGS} -DENGLISH -o elem_cb_en.o -c elem_cb.c ${INCLUDE}


elem_de.o : elem.c elem.h
	${COMPILER} ${FLAGS} -DDEUTSCH  -o elem_de.o -c elem.c ${INCLUDE}
elem_en.o : elem.c elem.h
	${COMPILER} ${FLAGS} -DENGLISH  -o elem_en.o -c elem.c ${INCLUDE}


install-de: deutsch
	cp -f ./elem-de /usr/local/bin/
	ln -s -f /usr/local/bin/elem-de /usr/local/bin/elem

install-en: english
	cp -f ./elem-en /usr/local/bin/
	ln -s -f /usr/local/bin/elem-en /usr/local/bin/elem

install:
	cp -f ./elem-en $(DESTDIR)/usr/local/bin/
	cp -f ./elem-de $(DESTDIR)/usr/local/bin/
	cp -f ./elem    $(DESTDIR)/usr/local/bin/

uninstall:
	rm -f /usr/local/bin/elem-de
	rm -f /usr/local/bin/elem-en
	rm -f /usr/local/bin/elem



tar: static-en static-de elem-en elem-de
	./buildpackages.sh

deb: all
	make -f debian/rules binary

clean:
	rm -f elem-de elem-en *.o core *~ *.bak *static* *.tgz
	rm -rf debian/tmp/*

=== debian/control ===
Source: elem
Section: science
Priority: extra
Maintainer: Stefan Heimers <stefan.heimers@kosta.ch>
Build-Depends: libforms-dev

Package: elem
Architecture: any
Depends: ${shlibs:Depends}, libforms0.89
Description: Elem, Periodic Table of the Elements 
 Elem is a periodic table of the elements for unixlike systems.

=== debian/rules ===
#!/usr/bin/make -f

# Debian package information
package		= elem
docdir		= /usr/share/doc/$(package)
tmpdir		= $(shell pwd)/debian/tmp

# C compiler information
CC		= gcc
CFLAGS		= -g -O2
LDFLAGS		= -s
build:   	 
	make
	touch build
	

.PHONY: clean
clean:
	rm -f build
	-make distclean
	-rm -rf debian/tmp debian/{files,substvars}

.PHONY: binary
binary: binary-indep binary-arch

.PHONY: binary-indep
binary-indep:
	@echo Close, but no sigar.


.PHONY: binary-arch
binary-arch: build 
	-rm -rf debian/tmp debian/{files,substvars}

	install -d -m 755 -o root -g root debian/tmp/var/cdfs
# Install elem
	install -d -m 755 -o root -g root debian/tmp/usr/bin
	install -s -m 755 -o root -g root elem-de debian/tmp/usr/bin/
	install -s -m 755 -o root -g root elem-en debian/tmp/usr/bin/
	install -m 755 -o root -g root elem debian/tmp/usr/bin/
# Install the documentation
	install -d -m 755 -o root -g root debian/tmp$(docdir)/html
	install -p -m 644 -o root -g root doc/*html \
			debian/tmp$(docdir)/html/
	install -p -m 644 -o root -g root doc/*png \
			debian/tmp$(docdir)/html/
#	install -p -m 644 -o root -g root doc/*txt debian/tmp$(docdir)
#	install -p -m 644 -o root -g root doc/*sgml debian/tmp$(docdir)
	install -p -m 644 -o root -g root README TODO debian/tmp$(docdir)

	install -d -m 755 -o root -g root debian/tmp/usr/share/man/man1
	ln -s ../man7/undocumented.7.gz debian/tmp/usr/share/man/man1/elem.1.gz

# Generate the changelog with the current builddate
	sed -e "s/@VERSION@/0.`date +%Y%m%d`/g" -e "s/@DATE@/`date -R`/" \
		debian/changelog.in >> debian/changelog

# Install Debian-specific stuff
	install -d -m 755 -o root -g root debian/tmp/usr/share/doc-base
	install -p -m 644 -o root -g root debian/doc-base \
			debian/tmp/usr/share/doc-base/$(package)

	install -p -m 644 -o root -g root debian/changelog \
			debian/tmp$(docdir)/changelog.Debian
# We expect an error here for the html-subdirectory
	-gzip -9 debian/tmp$(docdir)/*
	install -p -m 644 -o root -g root debian/copyright debian/tmp$(docdir)

	install -d -o root -g root -m 755 $(tmpdir)/DEBIAN
	install -p -o root -g root -m 755 debian/postinst $(tmpdir)/DEBIAN
	install -p -o root -g root -m 755 debian/prerm $(tmpdir)/DEBIAN

# Build the package

	dh_installmenu
	dpkg-shlibdeps elem-de	elem-en
	dpkg-gencontrol -isp -v1.0.1-1
	dpkg --build -z3  debian/tmp ..
